DROP TABLE IF EXISTS host_type;
CREATE TABLE host_type (
  uid                         INT NOT NULL AUTO_INCREMENT,
  rsf                         TINYINT(3) DEFAULT 1,
  descriptor                  VARCHAR(20),
  created_by                  INT,
  created_date                DATETIME,
  last_updated_by             INT,
  last_updated_date           DATETIME,

  cpu           	      varchar(255) default NULL,
  ram_qty 		      int(11) default NULL,
  storage_space 	      int(11) default NULL,
  spindle_qty 		      int(11) default NULL,
  eth100 		      varchar(20) default NULL,
  eth1000 		      varchar(20) default NULL,
  PRIMARY KEY (uid)
);


INSERT INTO host_type ( descriptor, cpu, ram_qty, storage_space, 
			spindle_qty, eth100, eth1000 ) 
   VALUES ('2-way','2PIII 700MHz\n',1024,40,1,1,0);
INSERT INTO host_type ( descriptor, cpu, ram_qty, storage_space, 
			spindle_qty, eth100, eth1000 ) 
   VALUES ('4-way','4PIII 700MHz\n',1024,40,1,1,0);


