DROP TABLE IF EXISTS test_case;
CREATE TABLE test_case (
  uid int(10) unsigned NOT NULL auto_increment,
  status_flag tinytext,
  status_note tinytext,
  host tinytext NOT NULL,
  distro_tag tinytext NOT NULL,
  kern_tag tinytext NOT NULL,
  cpu tinytext NOT NULL,
  ram int(10) unsigned NOT NULL default '0',
  disk int(10) unsigned default '0',
  ide_disks smallint(5) unsigned default '0',
  scsi_disks smallint(5) unsigned default '0',
  fiber_disks smallint(5) unsigned default '0',
  ide_cont smallint(5) unsigned default '0',
  scsi_cont smallint(5) unsigned default '0',
  fiber_cont smallint(5) unsigned default '0',
  hw_raid enum('N','Y') default 'N',
  stp_test_stamp tinytext,
  stp_host_stamp tinytext,
  test_request_uid int(10) unsigned NOT NULL default '0',
  dup_of bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (uid)
);


