DROP TABLE IF EXISTS user;
CREATE TABLE user (
  uid int(11) NOT NULL auto_increment,
  rsf tinyint(3) default NULL,
  created_by int(20) default NULL,
  created_date datetime default NULL,
  last_updated_by int(20) default NULL,
  last_updated_date datetime default NULL,
  Nickname tinytext,
  Organization tinytext,
  Real_email tinytext,
  Show_email tinytext,
  Secondary_email tinytext,
  Secondary_show_email tinytext,
  Homepage tinytext,
  Sig tinytext,
  Given_name tinytext,
  Surname tinytext,
  Maillist enum('Y','N') default NULL,
  Lastaccess datetime default NULL,
  Ssh1_identity text,
  Ssh2_identity text,
  Gpg_pubkey text,
  Phone tinytext,
  Phone_avail tinytext,
  Cellphone tinytext,
  Cellphone_avail tinytext,
  Workphone tinytext,
  Workphone_avail tinytext,
  Pager tinytext,
  Address tinytext,
  City tinytext,
  State tinytext,
  Zip tinytext,
  Country tinytext,
  Gidnumber tinytext,
  Userpassword tinytext,
  Homedirectory tinytext,
  LoginShell tinytext,
  Timezone tinytext,
  descriptor varchar(20) default NULL,
  Unixpassword tinytext,
  Homedir_quota bigint(20) default '500',
  PRIMARY KEY  (uid),
  KEY rsf_index (rsf)
);


