#  this is a script to update the host_type table
#

# new 2-cpu machines
# update host_type set cpu = 'STP2-000 - 2x PIII 850 MHz (256k cache)' where uid = 2;
update host_type set rsf = 0 where uid = 2;

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 77,1,'2-way','STP2-000 - 2x PIII 850 MHz (256k cache)',1024,38,10,'EthernetPro100',
	'ia32',2815,0.23458,8,'HP','P1186AV','netserver lh 3000r','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 78,1,'2-way','STP2-001 - 2x PIII 850 MHz (256k cache)',1024,38,10,'EthernetPro100',
	'ia32',2815,0.23458,8,'HP','P1186AV','netserver lh 3000r','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 79,1,'2-way','STP2-002 - 2x PIII 850 MHz (256k cache)',1024,38,10,'EthernetPro100',
	'ia32',2815,0.23458,8,'HP','P1186AV','netserver lh 3000r','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 80,1,'2-way','STP2-003 - 2x PIII 850 MHz (256k cache)',1024,38,10,'EthernetPro100',
	'ia32',2815,0.23458,8,'HP','P1186AV','netserver lh 3000r','computer' );

# new 4-cpu machines
# update host_type set cpu = 'STP4-000 - 4x PIII 700 MHz (1M cache)' where uid = 3;
update host_type set rsf = 0 where uid = 3;

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 81,1,'4-way','STP4-000 - 4x PIII 700 MHz (1M cache)',3831,249,20,'EthernetPro100',
	'ia32',2750,0.22917,4,'HP','P1757AV','netserver lt 6000r','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 82,1,'4-way','STP4-001 - 4x PIII 700 MHz (1M cache)',3831,249,20,'EthernetPro100',
	'ia32',2750,0.22917,4,'HP','P1757AV','netserver lt 6000r','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 83,1,'4-way','STP4-002 - 4x PIII 700 MHz (1M cache)',3831,249,20,'EthernetPro100',
	'ia32',2750,0.22917,4,'HP','P1757AV','netserver lt 6000r','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 84,1,'4-way','STP4-003 - 4x PIII 700 MHz (1M cache)',3831,249,20,'EthernetPro100',
	'ia32',2750,0.22917,4,'HP','P1757AV','netserver lt 6000r','computer' );

# new 8-cpu machines
# update host_type set cpu = 'STP8-000 - 8x PIII 700 MHz (1M cache)' where uid = 4;
update host_type set rsf = 0 where uid = 4;

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 85,1,'8-way','STP8-000 - 8x PIII 700 MHz (1M cache)',8056,334,40,'EthernetPro100',
	'ia32',3675,0.30625,7,'HP','P1231AV','netserver lxr 8500','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 86,1,'8-way','STP8-001 - 8x PIII 700 MHz (1M cache)',8056,334,40,'EthernetPro100',
	'ia32',3675,0.30625,7,'HP','P1231AV','netserver lxr 8500','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 87,1,'8-way','STP8-002 - 8x PIII 700 MHz (1M cache)',8056,334,40,'EthernetPro100',
	'ia32',3675,0.30625,7,'HP','P1231AV','netserver lxr 8500','computer' );

insert into host_type ( uid,rsf,descriptor,cpu,ram_qty,storage_space,spindle_qty,eth100,platform,Max_btus,
	Cooling_tons_max,Size_in_rack_u, Brand,Brand_model_number,Brand_model_name,Hardware_class) 
	VALUES ( 88,1,'8-way','STP8-003 - 8x PIII 700 MHz (1M cache)',8056,334,40,'EthernetPro100',
	'ia32',3675,0.30625,7,'HP','P1231AV','netserver lxr 8500','computer' );

