#!/bin/sh

echo "Started: "
date

# Uncompress the compressed html files
echo "Uncompressing *.hgz files"
find . -name "*.hgz" -type f \
    | gunzip -S .hgz


# Find and uncompress everything except tarballs
echo "Uncompressing *.gz except *.tar.gz files"
find . -name "*.gz" -type f \
    | grep -vi "tar.gz" \
    | xargs gunzip

echo "Completed: "
date