#!/usr/bin/perl -w -I./

# This is a driver script for our STP dummy clients
# Cliffw OSDL 2003
#
use machine;

my @boxen;
$boxen[ 0 ] = new machine( 1, 3, "testdev2-002" );
$boxen[ 1 ] = new machine( 2, 4, "testdev2-001" );
$boxen[ 2 ] = new machine( 3, 3, "testdev1-001" );
$boxen[ 3 ] = new machine( 4, 2, "cl006" );
$boxen[ 4 ] = new machine( 5, 3, "cl025" );
$boxen[ 5 ] = new machine( 6, 3, "testdev1-002" );
$boxen[ 6 ] = new machine( 7, 4, "testdev2-000" );

my $box;
my $avail = 0;

sleep (10);
system "/usr/bin/stp_cron.pl 2>/dev/null";

my $i = 0;
my $res;
while  ( $avail < 14 ) {
    foreach $box ( @boxen ) {
        $res = $box->run();
	if ( $res eq "avail" ) {
		$avail++; 
	} else {
		$avail--;
	}
	printf "\n";
        # printf "DRV: %s in state $res\n\n", $box->host_name();
    }
	if ( $avail > 3 ) {
	system "/usr/bin/stp_cron.pl 2>/dev/null";
	}
	
}
